import { jsx } from "react/jsx-runtime";
import { TokenJASMY as TokenJASMY$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenJASMY = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "JASMY", "data-name": "TokenJASMY", ...props, children: /* @__PURE__ */ jsx(TokenJASMY$1, { variant }) });
  }
);
TokenJASMY.displayName = "TokenJASMY";
Object.assign(TokenJASMY, { isGdsIcon: true });
export {
  TokenJASMY
};
